Bug 1960559 - Remove v1beta1 handling code
Summary: Remove v1beta1 handling code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Vadim Rutkovsky
QA Contact: liujia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-14 08:36 UTC by Vadim Rutkovsky
Modified: 2021-10-18 17:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:31:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 566 0 None open Bug 1960559: drop APIExtensions v1beta1 2021-05-14 08:39:16 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:31:31 UTC

Description Vadim Rutkovsky 2021-05-14 08:36:57 UTC
Manifests in 4.8 payload have move to apiextensions v1 and stopped using APIServices. CVO should drop code handling those to minimize code duplication

Comment 1 liujia 2021-06-02 01:43:24 UTC
OCP:4.8.0-0.nightly-2021-06-01-190440

We still have the warning of CustomResourceDefinition.

# ./oc -n openshift-cluster-version logs cluster-version-operator-b5c9d66f9-vjr7t |grep "warnings.go*apiextensions.k8s.io/v1beta1"
[root@dhcp-136-4 oc48]# ./oc -n openshift-cluster-version logs cluster-version-operator-b5c9d66f9-vjr7t |grep "warnings\.go.*apiextensions.k8s.io/v1beta1"
W0602 00:26:52.504616       1 warnings.go:70] apiextensions.k8s.io/v1beta1 CustomResourceDefinition is deprecated in v1.16+, unavailable in v1.22+; use apiextensions.k8s.io/v1 CustomResourceDefinition
W0602 00:30:03.727335       1 warnings.go:70] apiextensions.k8s.io/v1beta1 CustomResourceDefinition is deprecated in v1.16+, unavailable in v1.22+; use apiextensions.k8s.io/v1 CustomResourceDefinition
W0602 00:33:46.475113       1 warnings.go:70] apiextensions.k8s.io/v1beta1 CustomResourceDefinition is deprecated in v1.16+, unavailable in v1.22+; use apiextensions.k8s.io/v1 CustomResourceDefinition

Comment 4 liujia 2021-06-23 06:10:29 UTC
Version:4.9.0-0.nightly-2021-06-22-193627

# ./oc -n openshift-cluster-version logs cluster-version-operator-647fc46fb8-lscj8 |grep "warnings.go*apiextensions.k8s.io/v1beta1"|wc -l
0

Comment 7 errata-xmlrpc 2021-10-18 17:31:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.